Bug 765163 - (GLUSTER-3431) peer probe fails with 3.3.0qa1
peer probe fails with 3.3.0qa1
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.2.2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Amar Tumballi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-17 07:09 EDT by Lakshmipathi G
Modified: 2013-12-18 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Amar Tumballi 2011-08-17 04:55:49 EDT
Just wanted to check if it is something related to IPv6 issue which Vijay has sent a mail on disable/enabling it.
Comment 1 Lakshmipathi G 2011-08-17 05:43:13 EDT
(In reply to comment #1)
> Just wanted to check if it is something related to IPv6 issue which Vijay has
> sent a mail on disable/enabling it.

Yes,that fix (editing modprobe.conf and rebooting) resolves this issue.
Comment 2 Lakshmipathi G 2011-08-17 07:09:45 EDT
With 3.3.qa1( in master git,probe didnt work) did a peer probe it returned nothing.

10.1.12.172# gluster peer probe 10.1.12.171
10.1.12.172#

10.1.12.172# gluster peer status
Number of Peers: 1

Hostname: 10.1.12.171
Uuid: 00000000-0000-0000-0000-000000000000
State: Establishing Connection (Disconnected)

10.1.12.172 glusterd debug mode  
----------------------------------

[2011-08-14 14:39:27.56777] D [glusterd-store.c:2222:glusterd_restore] 0-: Returning 0
Given volfile:
+------------------------------------------------------------------------------+
  1: volume management
  2:     type mgmt/glusterd
  3:     option working-directory /etc/glusterd
  4:     option transport-type socket,rdma
  5:     option transport.socket.keepalive-time 10
  6:     option transport.socket.keepalive-interval 2
  7:     option transport.socket.read-fail-log off
  8: end-volume

+------------------------------------------------------------------------------+




[2011-08-14 14:40:54.746589] I [glusterd-handler.c:628:glusterd_handle_cli_probe] 0-glusterd: Received CLI probe req 10.1.12.171 24007
[2011-08-14 14:40:54.746648] D [glusterd-utils.c:190:glusterd_is_local_addr] 0-glusterd: 10.1.12.171
[2011-08-14 14:40:54.746669] D [glusterd-utils.c:190:glusterd_is_local_addr] 0-glusterd: 10.1.12.171
[2011-08-14 14:40:54.746680] D [glusterd-utils.c:190:glusterd_is_local_addr] 0-glusterd: 10.1.12.171
[2011-08-14 14:40:54.746690] D [glusterd-utils.c:212:glusterd_is_local_addr] 0-glusterd: 10.1.12.171 is not local
[2011-08-14 14:40:54.854275] D [glusterd-utils.c:2679:glusterd_friend_find_by_hostname] 0-glusterd: Unable to find friend: 10.1.12.171
[2011-08-14 14:40:54.960919] D [glusterd-utils.c:2679:glusterd_friend_find_by_hostname] 0-glusterd: Unable to find friend: 10.1.12.171
[2011-08-14 14:40:54.960935] I [glusterd-handler.c:396:glusterd_friend_find] 0-glusterd: Unable to find hostname: 10.1.12.171
[2011-08-14 14:40:54.960944] I [glusterd-handler.c:3504:glusterd_probe_begin] 0-glusterd: Unable to find peerinfo for host: 10.1.12.171 (24007)
[2011-08-14 14:40:54.960968] D [glusterd-utils.c:3170:glusterd_sm_tr_log_init] 0-: returning 0
[2011-08-14 14:40:54.960977] D [glusterd-utils.c:3259:glusterd_peerinfo_new] 0-: returning 0
[2011-08-14 14:40:54.961004] D [glusterd-handler.c:3410:glusterd_transport_inet_keepalive_options_build] 0-glusterd: Returning 0
[2011-08-14 14:40:54.962407] D [rpc-clnt.c:926:rpc_clnt_connection_init] 0-management: defaulting frame-timeout to 30mins
[2011-08-14 14:40:54.962427] D [rpc-transport.c:684:rpc_transport_load] 0-rpc-transport: attempt to load file /usr/local/lib/glusterfs/3.3.0qa1/rpc-transport/socket.so
[2011-08-14 14:40:54.962457] D [rpc-transport.c:97:__volume_option_value_validate] 0-management: no range check required for 'option transport.socket.keepalive-time 10'
[2011-08-14 14:40:54.962470] D [rpc-transport.c:97:__volume_option_value_validate] 0-management: no range check required for 'option transport.socket.keepalive-interval 2'
[2011-08-14 14:40:54.962493] D [rpc-transport.c:97:__volume_option_value_validate] 0-management: no range check required for 'option remote-port 24007'
[2011-08-14 14:40:54.964483] D [common-utils.c:154:gf_resolve_ip6] 0-resolver: returning ip-10.1.12.171 (port-24007) for hostname: 10.1.12.171 and port: 24007
[2011-08-14 14:40:54.964853] D [glusterd-handler.c:3364:glusterd_rpc_create] 0-: returning 0
[2011-08-14 14:40:54.964917] D [glusterd-store.c:1101:glusterd_store_handle_new] 0-: Returning 0
[2011-08-14 14:40:54.964963] D [glusterd-store.c:1056:glusterd_store_save_value] 0-: returning: 0
[2011-08-14 14:40:54.964980] D [glusterd-store.c:1056:glusterd_store_save_value] 0-: returning: 0
[2011-08-14 14:40:54.964995] D [glusterd-store.c:1056:glusterd_store_save_value] 0-: returning: 0
[2011-08-14 14:40:54.965002] D [glusterd-store.c:2012:glusterd_store_peer_write] 0-: Returning with 0
[2011-08-14 14:40:54.965021] D [glusterd-store.c:2040:glusterd_store_perform_peer_store] 0-: Returning 0
[2011-08-14 14:40:54.965030] D [glusterd-store.c:2061:glusterd_store_peerinfo] 0-: Returning with 0
[2011-08-14 14:40:54.965039] I [glusterd-handler.c:3486:glusterd_friend_add] 0-glusterd: connect returned 0
[2011-08-14 14:40:54.965046] D [glusterd-handler.c:3535:glusterd_probe_begin] 0-: returning 100
[2011-08-14 14:40:54.965075] E [socket.c:1714:socket_connect_finish] 0-management: connection to  failed (Connection refused)
[2011-08-14 14:40:54.965087] D [socket.c:290:__socket_disconnect] 0-management: shutdown() returned -1. Transport endpoint is not connected
[2011-08-14 14:40:54.965099] D [glusterd-handler.c:3955:glusterd_peer_rpc_notify] 0-management: got RPC_CLNT_DISCONNECT
[2011-08-14 14:40:54.965110] D [socket.c:194:__socket_rwv] 0-management: EOF from peer
[2011-08-14 14:40:54.965117] D [socket.c:1511:__socket_proto_state_machine] 0-management: reading from socket failed. Error (Transport endpoint is not connected), peer ()
[2011-08-14 14:40:54.965124] D [socket.c:1797:socket_event_handler] 0-transport: disconnecting now
[2011-08-14 14:40:54.965138] D [glusterd-handler.c:3955:glusterd_peer_rpc_notify] 0-management: got RPC_CLNT_DISCONNECT
[2011-08-14 14:40:57.970381] D [common-utils.c:154:gf_resolve_ip6] 0-resolver: returning ip-10.1.12.171 (port-24007) for hostname: 10.1.12.171 and port: 24007
[2011-08-14 14:40:57.970611] D [socket.c:290:__socket_disconnect] 0-management: shutdown() returned -1. Transport endpoint is not connected
[2011-08-14 14:40:57.970630] D [glusterd-handler.c:3955:glusterd_peer_rpc_notify] 0-management: got RPC_CLNT_DISCONNECT
[2011-08-14 14:40:57.970642] D [socket.c:194:__socket_rwv] 0-management: EOF from peer
[2011-08-14 14:40:57.970649] D [socket.c:1511:__socket_proto_state_machine] 0-management: reading from socket failed. Error (Transport endpoint is not connected), peer ()
Comment 3 Amar Tumballi 2011-08-29 02:12:54 EDT
The failure happens through IPv6 issue.. Which is tracked by another bug.

Note You need to log in before you can comment on or make changes to this bug.